Loading...
Searching...
No Matches
osmium::io::Bzip2Decompressor Class Referencefinal

`#include <bzip2_compression.hpp>`

Inheritance diagram for osmium::io::Bzip2Decompressor:
[legend]
Collaboration diagram for osmium::io::Bzip2Decompressor:
[legend]

## Public Member Functions

| Bzip2Decompressor (const int fd)
| Bzip2Decompressor (const Bzip2Decompressor &)=delete
Bzip2Decompressor & | operator= (const Bzip2Decompressor &)=delete
| Bzip2Decompressor (Bzip2Decompressor &&)=delete
Bzip2Decompressor & | operator= (Bzip2Decompressor &&)=delete
| ~Bzip2Decompressor () noexcept override
std::string | read () override
void | close () override
Public Member Functions inherited from osmium::io::Decompressor
| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept=default
virtual bool | is_real () const noexcept
void | set_offset_ptr (std::atomic< std::size_t > *offset_ptr) noexcept
void | set_offset (const std::size_t offset) noexcept
bool | want_buffered_pages_removed () const noexcept
void | set_want_buffered_pages_removed (bool value) noexcept

## Private Attributes

detail::file_wrapper | m_file
BZFILE * | m_bzfile = nullptr
bool | m_stream_end = false

## Additional Inherited Members

Public Types inherited from osmium::io::Decompressor
enum | { input_buffer_size = 1024U * 1024U }

## Constructor & Destructor Documentation

## Bzip2Decompressor() [1/3]

osmium::io::Bzip2Decompressor::Bzip2Decompressor | ( | const int | fd | ) |

inlineexplicit

## Bzip2Decompressor() [2/3]

osmium::io::Bzip2Decompressor::Bzip2Decompressor | ( | const Bzip2Decompressor & |  | ) |

delete

## Bzip2Decompressor() [3/3]

osmium::io::Bzip2Decompressor::Bzip2Decompressor | ( | Bzip2Decompressor && |  | ) |

delete

## ~Bzip2Decompressor()

osmium::io::Bzip2Decompressor::~Bzip2Decompressor | ( |  | ) |

inlineoverridenoexcept

## Member Function Documentation

## close()

void osmium::io::Bzip2Decompressor::close | ( |  | ) |

inlineoverridevirtual

Implements osmium::io::Decompressor.

## operator=() [1/2]

Bzip2Decompressor & osmium::io::Bzip2Decompressor::operator= | ( | Bzip2Decompressor && |  | ) |

delete

## operator=() [2/2]

Bzip2Decompressor & osmium::io::Bzip2Decompressor::operator= | ( | const Bzip2Decompressor & |  | ) |

delete

## read()

std::string osmium::io::Bzip2Decompressor::read | ( |  | ) |

inlineoverridevirtual

Implements osmium::io::Decompressor.

## Member Data Documentation

## m_bzfile

BZFILE* osmium::io::Bzip2Decompressor::m_bzfile = nullptr

private

## m_file

detail::file_wrapper osmium::io::Bzip2Decompressor::m_file

private

## m_stream_end

bool osmium::io::Bzip2Decompressor::m_stream_end = false

private

The documentation for this class was generated from the following file:

- include/osmium/io/bzip2_compression.hpp